# 企业发票OCR识别MCP服务器

基于ModelScope生态构建的专业企业发票OCR识别MCP服务器，为企业财务数字化提供智能化解决方案。

## 🚀 产品特性

- **标准化接入**：符合MCP协议规范，无缝集成各类AI应用
- **专业发票识别**：支持13种主流发票类型，准确率达99%+
- **结构化输出**：自动提取发票关键信息，输出标准JSON格式
- **企业级服务**：支持批量处理，满足大规模业务需求

## 📋 支持的发票类型

- 01: 增值税专用发票
- 02: 机动车增值税专用发票
- 03: 增值税普通发票
- 04: 增值税电子普通发票
- 05: 增值税普通发票（卷式）
- 06: 增值税普通发票（通行费）
- 07: 二手车发票
- 08: 增值税电子专用发票
- 09: 数电发票（增值税专用发票）
- 10: 数电发票（普通发票）
- 11: 数电发票（航空运输电子客票行程单）
- 12: 数电发票（铁路电子客票）
- 13: 区块链发票（支持深圳、北京和云南地区）

## 🛠️ 安装与启动

### 环境要求

- Python 3.8+
- 至少4GB内存
- 推荐GPU支持

### 快速开始

```bash
# 推荐方式：通过PyPI安装
pip install invoice-ocr-mcp

# 启动服务
invoice-ocr-mcp
```

## ⚡ MCP平台集成配置（uvx示例）

如需在 MCP 平台集成本服务，推荐使用如下 mcpServers 配置：

```json
{
  "mcpServers": {
    "invoice-ocr-mcp": {
      "command": "uvx",
      "args": [
        "invoice-ocr-mcp"
      ],
      "env": {
        "PYTHONUNBUFFERED": "1"
      }
    }
  }
}
```

- 如需自定义环境变量，可在 env 字段补充。

## 📊 性能指标

- **识别准确率**: >99%
- **处理速度**: 单张发票<3秒
- **并发支持**: 支持多线程并行处理
- **服务可用性**: >99.9%

© 2024 Invoice OCR MCP Server. All rights reserved. 